Bug 151948 - system-config-network crashes on launch
system-config-network crashes on launch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-23 14:09 EST by Aaron Bennett
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 05:05:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Bennett 2005-03-23 14:09:17 EST
Description of problem:

s-c-n crashes on launch if the "ndiswrapper" kernel module is loaded.

Version-Release number of selected component (if applicable):
1.3.23-1

How reproducible:

every time

Steps to Reproduce:
1. make sure ndiswrapper is not loaded
2. 'modprobe ndiswrapper if_name=eth1'
3. 'neat'


  
Actual results:

"The Application "system-config-network" has quit unexpectedly.  [Restart
Application] [Close]"


Expected results:
neat launches

Additional info:

If ndiswrapper is not loaded, it works everytime.  It worked _once_ with
ndiswrapper loaded.  I'm using stock fc4 kernel, ndiswrapper is built from
src.rpm from 

http://fsweb.olin.edu/~abennett/ndiswrapper/ndiswrapper-1.1-0.lvn.1.src.rpm

If launched from a console, the console gets this:
[root@ol-7bjv331 ~]# neat
*** buffer overflow detected ***: /usr/bin/python terminated
======= Backtrace: =========
/lib/tls/libc.so.6(__chk_fail+0x41)[0x2689b5]
/usr/lib/python2.4/site-packages/rhpl/ethtool.so[0x495c1b]
/usr/lib/libpython2.4.so.1.0(PyCFunction_Call+0x140)[0x725d73]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x53ad)[0x75ec02]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x75e354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x75e354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x75fa67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x49b7)[0x75e20c]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x75e354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x75e354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x75fa67]
/usr/lib/libpython2.4.so.1.0[0x7148c8]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x700304]
/usr/lib/libpython2.4.so.1.0[0x707bbd]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x700304]
/usr/lib/libpython2.4.so.1.0(PyEval_CallObjectWithKeywords+0x7a)[0x758d30]
/usr/lib/libpython2.4.so.1.0(PyInstance_New+0x64)[0x7036cf]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x700304]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x3ef9)[0x75d74e]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x75fa67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x49b7)[0x75e20c]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x75fa67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCode+0x63)[0x75fd98]
/usr/lib/libpython2.4.so.1.0[0x77be2a]
/usr/lib/libpython2.4.so.1.0(PyRun_SimpleFileExFlags+0x245)[0x77d0a2]
/usr/lib/libpython2.4.so.1.0(PyRun_AnyFileExFlags+0x6e)[0x77db39]
/usr/lib/libpython2.4.so.1.0(Py_Main+0xa51)[0x7839fd]
/usr/bin/python(main+0x2a)[0x804859a]
/lib/tls/libc.so.6(__libc_start_main+0xc6)[0x1a4db6]
/usr/bin/python[0x80484ed]
======= Memory map: ========
00111000-00113000 r-xp 00000000 fd:00 1476885    /usr/lib/python2.4/site-package
s/rhpl/iconv.so
00113000-00114000 rwxp 00001000 fd:00 1476885    /usr/lib/python2.4/site-package
s/rhpl/iconv.so
00114000-00122000 r-xp 00000000 fd:00 4587593    /lib/tls/libpthread-2.3.4.so
00122000-00123000 r-xp 0000d000 fd:00 4587593    /lib/tls/libpthread-2.3.4.so
00123000-00124000 rwxp 0000e000 fd:00 4587593    /lib/tls/libpthread-2.3.4.so
00124000-00126000 rwxp 00124000 00:00 0
00126000-00129000 r-xp 00000000 fd:00 1476232    /usr/lib/python2.4/lib-dynload/
_localemodule.so
00129000-0012a000 rwxp 00003000 fd:00 1476232    /usr/lib/python2.4/lib-dynload/
_localemodule.so
0012a000-0012b000 r-xp 00000000 fd:00 1476859    /usr/lib/python2.4/site-package
s/rhpl/_translate.so
0012b000-0012c000 rwxp 00000000 fd:00 1476859    /usr/lib/python2.4/site-package
s/rhpl/_translate.so
0012c000-0012e000 r-xp 00000000 fd:00 1477373    /usr/lib/python2.4/lib-dynload/
cStringIO.so
0012e000-0012f000 rwxp 00002000 fd:00 1477373    /usr/lib/python2.4/lib-dynload/
cStringIO.so
0012f000-00131000 r-xp 00000000 fd:00 1477383    /usr/lib/python2.4/lib-dynload/
syslog.so
00131000-00132000 rwxp 00001000 fd:00 1477383    /usr/lib/python2.4/lib-dynload/
syslog.so
00132000-00135000 r-xp 00000000 fd:00 1476270    /usr/lib/python2.4/lib-dynload/
selectmodule.so
00135000-00136000 rwxp 00002000 fd:00 1476270    /usr/lib/python2.4/lib-dynload/
selectmodule.so
00136000-00149000 r-xp 00000000 fd:00 1346444    /usr/lib/libgdk_pixbuf-2.0.so.0
.600.4
00149000-0014b000 rwxp 00012000 fd:00 1346444    /usr/lib/libgdk_pixbuf-2.0.so.0
.600.4
0014b000-00150000 r-xp 00000000 fd:00 1351140    /usr/lib/libpangoxft-1.0.so.0.8
00.1
00150000-00151000 rwxp 00005000 fd:00 1351140    /usr/lib/libpangoxft-1.0.so.0.8
00.1
00151000-00153000 r-xp 00000000 fd:00 1350471    /usr/X11R6/lib/libXrandr.so.2.0
00153000-00154000 rwxp 00002000 fd:00 1350471    /usr/X11R6/lib/libXrandr.so.2.0
00154000-0015b000 r-xp 00000000 fd:00 1350461    /usr/X11R6/lib/libXi.so.6.0
0015b000-0015c000 rwxp 00006000 fd:00 1350461    /usr/X11R6/lib/libXi.so.6.0
0015c000-0015e000 r-xp 00000000 fd:00 1350463    /usr/X11R6/lib/libXinerama.so.1 .0
0015e000-0015f000 rwxp 00001000 fd:00 1350463    /usr/X11R6/lib/libXinerama.so.1 .0
0015f000-00162000 r-xp 00000000 fd:00 1350453    /usr/X11R6/lib/libXfixes.so.3.0
00162000-00163000 rwxp 00003000 fd:00 1350453    /usr/X11R6/lib/libXfixes.so.3.0
00163000-0016b000 r-xp 00000000 fd:00 1350445    /usr/X11R6/lib/libXcursor.so.1. 0.2
0016b000-0016c000 rwxp 00007000 fd:00 1350445    /usr/X11R6/lib/libXcursor.so.1. 0.2
0016e000-0018e000 r-xp 00000000 fd:00 4587591    /lib/tls/libm-2.3.4.so
0018e000-0018f000 r-xp 0001f000 fd:00 4587591    /lib/tls/libm-2.3.4.so
0018f000-00190000 rwxp 00020000 fd:00 4587591    /lib/tls/libm-2.3.4.so
00190000-002ad000 r-xp 00000000 fd:00 4587589    /lib/tls/libc-2.3.4.so
002ad000-002af000 r-xp 0011d000 fd:00 4587589    /lib/tls/libc-2.3.4.so
002af000-002b1000 rwxp 0011f000 fd:00 4587589    /lib/tls/libc-2.3.4.so
002b1000-002b3000 rwxp 002b1000 00:00 0
002b3000-002b4000 r-xp 00000000 fd:00 1409249    /usr/lib/gconv/ISO8859-1.so
002b4000-002b6000 rwxp 00000000 fd:00 1409249    /usr/lib/gconv/ISO8859-1.so
002b8000-002c9000 r-xp 00000000 fd:00 1350464    /usr/lib/libz.so.1.2.2.2
002c9000-002ca000 rwxp 00010000 fd:00 1350464    /usr/lib/libz.so.1.2.2.2
002ca000-00343000 r-xp 00000000 fd:00 1346441    /usr/lib/libglib-2.0.so.0.600.3
00343000-00348000 rwxp 00079000 fd:00 1346441    /usr/lib/libglib-2.0.so.0.600.3
00348000-003b9000 r-xp 00000000 fd:00 1351142    /usr/lib/libgdk-x11-2.0.so.0.60 0.4
003b9000-003c0000 rwxp 00071000 fd:00 1351142    /usr/lib/libgdk-x11-2.0.so.0.60 0.4
003c0000-003c7000 r-xp 00000000 fd:00 1350473    /usr/X11R6/lib/libXrender.so.1. 2.2
003c7000-003c8000 rwxp 00006000 fd:00 1350473    /usr/X11R6/lib/libXrender.so.1. 2.2
003c8000-003d4000 r-xp 00000000 fd:00 1350451    /usr/X11R6/lib/libXext.so.6.4
003d4000-003d5000 rwxp 0000c000 fd:00 1350451    /usr/X11R6/lib/libXext.so.6.4
003d5000-003d7000 r-xp 00000000 fd:00 4588552    /lib/libcom_err.so.2.1
003d7000-003d8000 rwxp 00001000 fd:00 4588552    /lib/libcom_err.so.2.1
003d8000-003da000 r-xp 00000000 fd:00 1572990    /usr/lib/pango/1.4.0/modules/pa
ngo-basic-fc.so
003da000-003db000 rwxp 00001000 fd:00 1572990    /usr/lib/pango/1.4.0/modules/pa
ngo-basic-fc.so
003db000-003dd000 r-xp 00000000 fd:00 4587549    /lib/libdl-2.3.4.so
003dd000-003de000 r-xp 00001000 fd:00 4587549    /lib/libdl-2.3.4.so
003de000-003df000 rwxp 00002000 fd:00 4587549    /lib/libdl-2.3.4.so
003df000-0040f000 r-xp 00000000 fd:00 1350446    /usr/lib/libpango-1.0.so.0.800. 1
0040f000-00415000 rwxp 00030000 fd:00 1350446    /usr/lib/libpango-1.0.so.0.800. 1
00415000-00438000 r-xp 00000000 fd:00 1354176    /usr/lib/libfontconfig.so.1.0.4
00438000-0043b000 rwxp 00022000 fd:00 1354176    /usr/lib/libfontconfig.so.1.0.4
0043b000-0043c000 rwxp 0043b000 00:00 0
0043c000-0045f000 r-xp 00000000 fd:00 1351138    /usr/lib/libpangoft2-1.0.so.0.8
00.1
0045f000-00461000 rwxp 00022000 fd:00 1351138    /usr/lib/libpangoft2-1.0.so.0.8
00.1
00461000-00465000 r-xp 00000000 fd:00 1573356    /usr/lib/python2.4/site-package
s/gtk-2.0/gtk/glade.so
00465000-00466000 rwxp 00003000 fd:00 1573356    /usr/lib/python2.4/site-package
s/gtk-2.0/gtk/glade.so
00468000-0046c000 r-xp 00000000 fd:00 1477382    /usr/lib/python2.4/lib-dynload/
structmodule.so
0046c000-0046d000 rwxp 00004000 fd:00 1477382    /usr/lib/python2.4/lib-dynload/
structmodule.so
0046d000-0048a000 r-xp 00000000 fd:00 1354175    /usr/lib/libexpat.so.0.5.0
0048a000-0048c000 rwxp 0001c000 fd:00 1354175    /usr/lib/libexpat.so.0.5.0
0048c000-00492000 r-xp 00000000 fd:00 1573234    /usr/lib/python2.4/site-package
s/gtk-2.0/atk.so
00492000-00494000 rwxp 00005000 fd:00 1573234    /usr/lib/python2.4/site-package
s/gtk-2.0/atk.so
00494000-0049a000 r-xp 00000000 fd:00 1476870    /usr/lib/python2.4/site-package
s/rhpl/ethtool.so
0049a000-0049b000 rwxp 00005000 fd:00 1476870    /usr/lib/python2.4/site-package
s/rhpl/ethtool.so
0049b000-0049e000 r-xp 00000000 fd:00 1476277    /usr/lib/python2.4/lib-dynload/
timemodule.so
0049e000-004a0000 rwxp 00002000 fd:00 1476277    /usr/lib/python2.4/lib-dynload/
timemodule.so
004a1000-005dd000 r-xp 00000000 fd:00 1573243    /usr/lib/python2.4/site-package
s/gtk-2.0/gtk/_gtk.so
005dd000-005fd000 rwxp 0013b000 fd:00 1573243    /usr/lib/python2.4/site-package
s/gtk-2.0/gtk/_gtk.so
005fd000-006be000 r-xp 00000000 fd:00 1350433    /usr/X11R6/lib/libX11.so.6.2
006be000-006c2000 rwxp 000c1000 fd:00 1350433    /usr/X11R6/lib/libX11.so.6.2
006c2000-006d1000 r-xp 00000000 fd:00 1573250    /usr/lib/python2.4/site-package
s/gtk-2.0/pango.so
006d1000-006d4000 rwxp 0000e000 fd:00 1573250    /usr/lib/python2.4/site-package
s/gtk-2.0/pango.so
006d4000-006db000 r-xp 00000000 fd:00 1671764    /usr/lib/python2.4/site-package
s/gtk-2.0/gnome/_gnome.so
006db000-006dc000 rwxp 00007000 fd:00 1671764    /usr/lib/python2.4/site-package
s/gtk-2.0/gnome/_gnome.so
006de000-007ad000 r-xp 00000000 fd:00 1347614    /usr/lib/libpython2.4.so.1.0
007ad000-007d5000 rwxp 000cf000 fd:00 1347614    /usr/lib/libpython2.4.so.1.0
007d5000-007d8000 rwxp 007d5000 00:00 0
007d8000-00839000 r-xp 00000000 fd:00 1354174    /usr/lib/libfreetype.so.6.3.7
00839000-00840000 rwxp 00061000 fd:00 1354174    /usr/lib/libfreetype.so.6.3.7
00843000-00846000 r-xp 00000000 fd:00 1346447    /usr/lib/libgthread-2.0.so.0.60 0.3
00846000-00847000 rwxp 00003000 fd:00 1346447    /usr/lib/libgthread-2.0.so.0.60 0.3
00847000-0084a000 r-xp 00000000 fd:00 1671796    /usr/lib/python2.4/site-package
s/gtk-2.0/bonobo/activation.so
0084a000-0084b000 rwxp 00002000 fd:00 1671796    /usr/lib/python2.4/site-package
s/gtk-2.0/bonobo/activation.so
0084e000-00858000 r-xp 00000000 fd:00 1351144    /usr/lib/libpangox-1.0.so.0.800 .1
00858000-00859000 rwxp 00009000 fd:00 1351144    /usr/lib/libpangox-1.0.so.0.800 .1
00859000-00860000 r-xp 00000000 fd:00 1346642    /usr/lib/libpopt.so.0.0.0
00860000-00861000 rwxp 00006000 fd:00 1346642    /usr/lib/libpopt.so.0.0.0
00861000-00872000 r-xp 00000000 fd:00 1351615    /usr/lib/libbonobo-activation.s
o.4.0.0
00872000-00875000 rwxp 00010000 fd:00 1351615    /usr/lib/libbonobo-activation.s
o.4.0.0
00875000-0087d000 r-xp 00000000 fd:00 1351574    /usr/lib/libesd.so.0.2.35
0087d000-0087e000 rwxp 00008000 fd:00 1351574    /usr/lib/libesd.so.0.2.35
0087e000-0089f000 r-xp 00000000 fd:00 1351573    /usr/lib/libaudiofile.so.0.0.2
0089f000-008a2000 rwxp 00020000 fd:00 1351573    /usr/lib/libaudiofile.so.0.0.2
008a2000-008b7000 r-xp 00000000 fd:00 1346949    /usr/lib/libgssapi_krb5.so.2.2
008b7000-008b8000 rwxp 00014000 fd:00 1346949    /usr/lib/libgssapi_krb5.so.2.2
008b8000-008c0000 r-xp 00000000 fd:00 1350431    /usr/X11R6/lib/libSM.so.6.0
008c0000-008c1000 rwxp 00007000 fd:00 1350431    /usr/X11R6/lib/libSM.so.6.0
008c1000-008c7000 r-xp 00000000 fd:00 1671758    /usr/lib/libglade/2.0/libgnome. so
008c7000-008c8000 rwxp 00005000 fd:00 1671758    /usr/lib/libglade/2.0/libgnome. so
008c8000-008d7000 r-xp 00000000 fd:00 1476243    /usr/lib/python2.4/lib-dynload/
cPickle.so
008d7000-008d8000 rwxp 0000e000 fd:00 1476243    /usr/lib/python2.4/lib-dynload/
cPickle.so
008d8000-008e0000 r-xp 00000000 fd:00 1351639    /usr/lib/libgnome-keyring.so.0. 0.1
008e0000-008e1000 rwxp 00007000 fd:00 1351639    /usr/lib/libgnome-keyring.so.0. 0.1
008e2000-008fb000 r-xp 00000000 fd:00 4587534    /lib/ld-2.3.4.so
008fb000-008fc000 r-xp 00019000 fd:00 4587534    /lib/ld-2.3.4.so
008fc000-008fd000 rwxp 0001a000 fd:00 4587534    /lib/ld-2.3.4.so
008fd000-00900000 r-xp 00000000 fd:00 1671743    /usr/lib/libglade/2.0/libbonobo .so
00900000-00901000 rwxp 00002000 fd:00 1671743    /usr/lib/libglade/2.0/libbonobo .so
00901000-00908000 r-xp 00000000 fd:00 1573033    /usr/lib/gtk-2.0/2.4.0/engines/
libpixmap.so
00908000-00909000 rwxp 00006000 fd:00 1573033    /usr/lib/gtk-2.0/2.4.0/engines/
libpixmap.so
00909000-0090c000 r-xp 00000000 fd:00 1573052    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-png.so
0090c000-0090d000 rwxp 00003000 fd:00 1573052    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-png.so
0090d000-0091e000 r-xp 00000000 fd:00 1350459    /usr/X11R6/lib/libXft.so.2.1.2
0091e000-0091f000 rwxp 00010000 fd:00 1350459    /usr/X11R6/lib/libXft.so.2.1.2
00922000-00924000 r-xp 00000000 fd:00 1540581    /usr/X11R6/lib/X11/locale/lib/c
ommon/xlcDef.so.2
00924000-00925000 rwxp 00001000 fd:00 1540581    /usr/X11R6/lib/X11/locale/lib/c
ommon/xlcDef.so.2
00925000-00a16000 r-xp 00000000 fd:00 1350090    /usr/lib/libxml2.so.2.6.18
00a16000-00a1f000 rwxp 000f0000 fd:00 1350090    /usr/lib/libxml2.so.2.6.18
00a1f000-00a40000 r-xp 00000000 fd:00 1346953    /usr/lib/libk5crypto.so.3.0
00a40000-00a41000 rwxp 00021000 fd:00 1346953    /usr/lib/libk5crypto.so.3.0
00a41000-00a47000 r-xp 00000000 fd:00 1573059    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-xpm.so
00a47000-00a49000 rwxp 00006000 fd:00 1573059    /usr/lib/gtk-2.0/2.4.0/loaders/
libpixbufloader-xpm.so
00a50000-00a54000 r-xp 00000000 fd:00 1476273    /usr/lib/python2.4/lib-dynload/
strop.so
00a54000-00a56000 rwxp 00003000 fd:00 1476273    /usr/lib/python2.4/lib-dynload/
strop.so
00a56000-00a87000 r-xp 00000000 fd:00 4588554    /lib/libssl.so.0.9.7e
00a87000-00a8a000 rwxp 00031000 fd:00 4588554    /lib/libssl.so.0.9.7e
00a8a000-00a93000 r-xp 00000000 fd:00 4587522    /lib/libgcc_s-4.0.0-20050321.so .1
00a93000-00a94000 rwxp 00009000 fd:00 4587522    /lib/libgcc_s-4.0.0-20050321.so .1
00a95000-00a9e000 r-xp 00000000 fd:00 4587569    /lib/libnss_files-2.3.4.so
00a9e000-00a9f000 r-xp 00008000 fd:00 4587569    /lib/libnss_files-2.3.4.so
00a9f000-00aa0000 rwxp 00009000 fd:00 4587569    /lib/libnss_files-2.3.4.so
00aa0000-00b06000 r-xp 00000000 fd:00 1346963    /usr/lib/libkrb5.so.3.2
00b06000-00b09000 rwxp 00065000 fd:00 1346963    /usr/lib/libkrb5.so.3.2
00b09000-00b18000 r-xp 00000000 fd:00 4587581    /lib/libresolv-2.3.4.so
00b18000-00b19000 r-xp 0000e000 fd:00 4587581    /lib/libresolv-2.3.4.so
00b19000-00b1a000 rwxp 0000f000 fd:00 4587581    /lib/libresolv-2.3.4.so
00b1a000-00b1c000 rwxp 00b1a000 00:00 0
00b1c000-00b24000 r-xp 00000000 fd:00 4587595    /lib/tls/librt-2.3.4.so
00b24000-00b25000 r-xp 00007000 fd:00 4587595    /lib/tls/librt-2.3.4.so
00b25000-00b26000 rwxp 00008000 fd:00 4587595    /lib/tls/librt-2.3.4.so
00b26000-00b30000 rwxp 00b26000 00:00 0
00b30000-00b4a000 r-xp 00000000 fd:00 1671767    /usr/lib/python2.4/site-package
s/gtk-2.0/gnome/ui.so
00b4a000-00b4e000 rwxp 0001a000 fd:00 1671767    /usr/lib/python2.4/site-package
s/gtk-2.0/gnome/ui.so
00b58000-00b5a000 r-xp 00000000 fd:00 4587587    /lib/libutil-2.3.4.so
00b5a000-00b5b000 r-xp 00001000 fd:00 4587587    /lib/libutil-2.3.4.so
00b5b000-00b5c000 rwxp 00002000 fd:00 4587587    /lib/libutil-2.3.4.so
00b5d000-00b6f000 r-xp 00000000 fd:00 1351663    /usr/lib/libgnome-2.so.0.900.1
00b6f000-00b70000 rwxp 00012000 fd:00 1351663    /usr/lib/libgnome-2.so.0.900.1
00b70000-00b85000 r-xp 00000000 fd:00 1350427    /usr/X11R6/lib/libICE.so.6.3
00b85000-00b86000 rwxp 00014000 fd:00 1350427    /usr/X11R6/lib/libICE.so.6.3
00b86000-00b88000 rwxp 00b86000 00:00 0
00b88000-00bae000 r-xp 00000000 fd:00 1351642    /usr/lib/libgnomecanvas-2.so.0.
1000.0
00bae000-00bb1000 rwxp 00025000 fd:00 1351642    /usr/lib/libgnomecanvas-2.so.0.
1000.0
00bb1000-00bc6000 r-xp 00000000 fd:00 1351161    /usr/lib/libart_lgpl_2.so.2.3.1 7
00bc6000-00bc7000 rwxp 00014000 fd:00 1351161    /usr/lib/libart_lgpl_2.so.2.3.1 7
00bc7000-00bd7000 r-xp 00000000 fd:00 1477331    /usr/lib/python2.4/site-package
s/ORBit.so
00bd7000-00bd9000 rwxp 00010000 fd:00 1477331    /usr/lib/python2.4/site-package
s/ORBit.so
00bde000-00be1000 r-xp 00000000 fd:00 1476281    /usr/lib/python2.4/lib-dynload/
zlibmodule.so
00be1000-00be2000 rwxp 00003000 fd:00 1476281    /usr/lib/python2.4/lib-dynload/
zlibmodule.so
00be6000-00c18000 r-xp 00000000 fd:00 1346445    /usr/lib/libgobject-2.0.so.0.60 0.3
00c18000-00c1c000 rwxp 00031000 fd:00 1346445    /usr/lib/libgobject-2.0.so.0.60 0.3
00c1c000-00c3a000 r-xp 00000000 fd:00 1351640    /usr/lib/libjpeg.so.62.0.0
00c3a000-00c3b000 rwxp 0001d000 fd:00 1351640    /usr/lib/libjpeg.so.62.0.0
00c3b000-00c49000 r-xp 00000000 fd:00 4587588    /lib/libselinux.so.1
00c49000-00c4a000 rwxp 0000e000 fd:00 4587588    /lib/libselinux.so.1
00c4c000-00c4e000 r-xp 00000000 fd:00 1476257    /usr/lib/python2.4/lib-dynload/
mathmodule.so
00c4e000-00c4f000 rwxp 00002000 fd:00 1476257    /usr/lib/python2.4/lib-dynload/
mathmodule.so
00c4f000-00c66000 r-xp 00000000 fd:00 1577038    /usr/lib/python2.4/site-package
s/gtk-2.0/gnomevfs.so
00c66000-00c68000 rwxp 00017000 fd:00 1577038    /usr/lib/python2.4/site-package
s/gtk-2.0/gnomevfs.so
00c69000-00c7d000 r-xp 00000000 fd:00 1350514    /usr/lib/libatk-1.0.so.0.901.0
00c7d000-00c80000 rwxp 00014000 fd:00 1350514    /usr/lib/libatk-1.0.so.0.901.0
00c80000-00ca6000 r-xp 00000000 fd:00 1347744    /usr/lib/libIDL-2.so.0.0.0
00ca6000-00ca8000 rwxp 00025000 fd:00 1347744    /usr/lib/libIDL-2.so.0.0.0
00ca8000-00cc0000 r-xp 00000000 fd:00 1540352    /usr/lib/python2.4/site-package
s/rpm/_rpmmodule.so
00cc0000-00cc2000 rwxp 00018000 fd:00 1540352    /usr/lib/python2.4/site-package
s/rpm/_rpmmodule.so
00cc2000-00cd3000 r-xp 00000000 fd:00 1352354    /usr/lib/libelf-0.101.so
00cd3000-00cd4000 rwxp 00010000 fd:00 1352354    /usr/lib/libelf-0.101.so
00cde000-00d01000 r-xp 00000000 fd:00 1574114    /usr/lib/python2.4/site-package
s/_xmlplus/parsers/pyexpat.so
00d01000-00d04000 rwxp 00022000 fd:00 1574114    /usr/lib/python2.4/site-package
s/_xmlplus/parsers/pyexpat.so
00d04000-00d57000 r-xp 00000000 fd:00 1352595    /usr/lib/librpm-4.4.so
00d57000-00d5a000 rwxp 00053000 fd:00 1352595    /usr/lib/librpm-4.4.so
00d5a000-00d8d000 rwxp 00d5a000 00:00 0
00d8d000-00dae000 r-xp 00000000 fd:00 1354222    /usr/lib/librpmbuild-4.4.so
00dae000-00db0000 rwxp 00021000 fd:00 1354222    /usr/lib/librpmbuild-4.4.so
00db0000-00dbc000 rwxp 00db0000 00:00 0
00dbd000-00dc0000 r-xp 00000000 fd:00 1351634    /usr/lib/libORBitCosNaming-2.so
.0.0.0
00dc0000-00dc1000 rwxp 00003000 fd:00 1351634    /usr/lib/libORBitCosNaming-2.so
.0.0.0
00dc1000-00dda000 r-xp 00000000 fd:00 1354190    /usr/lib/libneon.so.24.0.7
00dda000-00ddb000 rwxp 00019000 fd:00 1354190    /usr/lib/libneon.so.24.0.7
00de5000-00de7000 r-xp 00000000 fd:00 1346443    /usr/lib/libgmodule-2.0.so.0.60 0.3
00de7000-00de8000 rwxp 00002000 fd:00 1346443    /usr/lib/libgmodule-2.0.so.0.60 0.3
00df3000-00dfb000 r-xp 00000000 fd:00 1351613    /usr/lib/libORBit-imodule-2.so.
0.0.0
00dfb000-00dfc000 rwxp 00008000 fd:00 1351613    /usr/lib/libORBit-imodule-2.so.
0.0.0
00dfc000-00e1e000 r-xp 00000000 fd:00 1477270    /usr/lib/python2.4/site-package
s/_kudzumodule.so
00e1e000-00e1f000 rwxp 00021000 fd:00 1477270    /usr/lib/python2.4/site-package
s/_kudzumodule.so
00e1f000-00e20000 rwxp 00e1f000 00:00 0
00e20000-00e27000 r-xp 00000000 fd:00 1576664    /usr/lib/python2.4/site-package
s/gtk-2.0/gnomecanvas.so
00e27000-00e29000 rwxp 00006000 fd:00 1576664    /usr/lib/python2.4/site-package
s/gtk-2.0/gnomecanvas.so
00e2f000-00e37000 r-xp 00000000 fd:00 1671234    /usr/lib/orbit-2.0/Bonobo_modul
e.so
00e37000-00e40000 rwxp 00008000 fd:00 1671234    /usr/lib/orbit-2.0/Bonobo_modul
e.so
00e44000-00e97000 r-xp 00000000 fd:00 1351657    /usr/lib/libgnomevfs-2.so.0.100 0.0
00e97000-00e9f000 rwxp 00053000 fd:00 1351657    /usr/lib/libgnomevfs-2.so.0.100 0.0
00ead000-00ebb000 r-xp 00000000 fd:00 1671797    /usr/lib/python2.4/site-package
s/gtk-2.0/bonobo/ui.so
00ebb000-00ebe000 rwxp 0000e000 fd:00 1671797    /usr/lib/python2.4/site-package
s/gtk-2.0/bonobo/ui.so
00ee9000-00ef7000 r-xp 00000000 fd:00 1671795    /usr/lib/python2.4/site-package
s/gtk-2.0/bonobo/_bonobo.so
00ef7000-00ef9000 rwxp 0000d000 fd:00 1671795    /usr/lib/python2.4/site-package
s/gtk-2.0/bonobo/_bonobo.so
00f0c000-00f0e000 r-xp 00000000 fd:00 1346965    /usr/lib/libkrb5support.so.0.0
00f0e000-00f0f000 rwxp 00001000 fd:00 1346965    /usr/lib/libkrb5support.so.0.0
00f34000-00f5f000 r-xp 00000000 fd:00 1351633    /usr/lib/libgconf-2.so.4.1.0
00f5f000-00f64000 rwxp 0002a000 fd:00 1351633    /usr/lib/libgconf-2.so.4.1.0
00f9b000-00fb1000 r-xp 00000000 fd:00 1573238    /usr/lib/python2.4/site-package
s/gtk-2.0/gobject.so
00fb1000-00fb3000 rwxp 00015000 fd:00 1573238    /usr/lib/python2.4/site-package
s/gtk-2.0/gobject.so
00fb3000-01233000 r-xp 00000000 fd:00 1351135    /usr/lib/libgtk-x11-2.0.so.0.60 0.4
01233000-0125b000 rwxp 0027f000 fd:00 1351135    /usr/lib/libgtk-x11-2.0.so.0.60 0.4
0125b000-0125e000 rwxp 0125b000 00:00 0
0125e000-012aa000 r-xp 00000000 fd:00 1347627    /usr/lib/libsqlite3.so.0.8.6
012aa000-012ac000 rwxp 0004b000 fd:00 1347627    /usr/lib/libsqlite3.so.0.8.6
02000000-02083000 r-xp 00000000 fd:00 1349724    /usr/lib/libgnomeui-2.so.0.900. 1
02083000-02087000 rwxp 00082000 fd:00 1349724    /usr/lib/libgnomeui-2.so.0.900. 1
0209e000-020b4000 r-xp 00000000 fd:00 1354179    /usr/lib/libglade-2.0.so.0.0.7
020b4000-020b5000 rwxp 00016000 fd:00 1354179    /usr/lib/libglade-2.0.so.0.0.7
020e0000-020f5000 r-xp 00000000 fd:00 1354183    /usr/lib/libhowl.so.0.0.0
020f5000-020f7000 rwxp 00014000 fd:00 1354183    /usr/lib/libhowl.so.0.0.0
020f7000-02209000 rwxp 020f7000 00:00 0
02236000-02245000 r-xp 00000000 fd:00 1353581    /usr/lib/libbz2.so.1.0.2
02245000-02246000 rwxp 0000f000 fd:00 1353581    /usr/lib/libbz2.so.1.0.2
0224e000-02271000 r-xp 00000000 fd:00 1349699    /usr/lib/libpng12.so.0.1.2.8
02271000-02272000 rwxp 00023000 fd:00 1349699    /usr/lib/libpng12.so.0.1.2.8
02a8c000-02b52000 r-xp 00000000 fd:00 1346479    /usr/lib/libstdc++.so.6.0.4
02b52000-02b57000 rwxp 000c6000 fd:00 1346479    /usr/lib/libstdc++.so.6.0.4
02b57000-02b5c000 rwxp 02b57000 00:00 0
03100000-03144000 r-xp 00000000 fd:00 1351722    /usr/lib/libbeecrypt.so.6.4.0
03144000-03147000 rwxp 00043000 fd:00 1351722    /usr/lib/libbeecrypt.so.6.4.0
031d2000-03239000 r-xp 00000000 fd:00 1354224    /usr/lib/librpmio-4.4.so
03239000-0323c000 rwxp 00067000 fd:00 1354224    /usr/lib/librpmio-4.4.so
0323c000-0325f000 rwxp 0323c000 00:00 0
03319000-0340e000 r-xp 00000000 fd:00 1354223    /usr/lib/librpmdb-4.4.so
0340e000-03413000 rwxp 000f4000 fd:00 1354223    /usr/lib/librpmdb-4.4.so
034c7000-035a1000 r-xp 00000000 fd:00 4588553    /lib/libcrypto.so.0.9.7e
035a1000-035b3000 rwxp 000da000 fd:00 4588553    /lib/libcrypto.so.0.9.7e
035b3000-035b6000 rwxp 035b3000 00:00 0
07deb000-07e8b000 r-xp 00000000 fd:00 4588545    /lib/libasound.so.2.0.0
07e8b000-07e99000 rwxp 0009f000 fd:00 4588545    /lib/libasound.so.2.0.0
07e9b000-07edf000 r-xp 00000000 fd:00 1346448    /usr/lib/libORBit-2.so.0.0.0
07edf000-07eec000 rwxp 00043000 fd:00 1346448    /usr/lib/libORBit-2.so.0.0.0
07eee000-07f3a000 r-xp 00000000 fd:00 1351622    /usr/lib/libbonobo-2.so.0.0.0
07f3a000-07f44000 rwxp 0004b000 fd:00 1351622    /usr/lib/libbonobo-2.so.0.0.0
07fa3000-07ff6000 r-xp 00000000 fd:00 1351664    /usr/lib/libbonoboui-2.so.0.0.0
07ff6000-07ffd000 rwxp 00052000 fd:00 1351664    /usr/lib/libbonoboui-2.so.0.0.0
08048000-08049000 r-xp 00000000 fd:00 1347616    /usr/bin/python
08049000-0804a000 rw-p 00000000 fd:00 1347616    /usr/bin/python
083f3000-0891a000 rw-p 083f3000 00:00 0          [heap]
b799a000-b79e0000 rw-p b799a000 00:00 0
b7a0c000-b7a4d000 rw-p b7a0c000 00:00 0
b7a4e000-b7abc000 rw-s 00000000 fd:00 393734     /var/lib/rpm/__db.003
b7abc000-b7bfe000 rw-s 00000000 fd:00 393731     /var/lib/rpm/__db.002
b7bfe000-b7c04000 rw-s 00000000 fd:00 393729     /var/lib/rpm/__db.001
b7c04000-b7c16000 r--p 00000000 fd:00 1935397    /usr/X11R6/lib/X11/fonts/Type1/
l048013t.pfa
b7c16000-b7dfd000 rw-p b7c16000 00:00 0
b7dfe000-b7ec1000 rw-p b7dfe000 00:00 0
b7ec2000-b7ec8000 r--s 00000000 fd:00 1409324    /usr/lib/gconv/gconv-modules.ca che
b7ec8000-b7f4d000 rw-p b7ec8000 00:00 0
bfc3d000-bfc58000 rw-p bfc3d000 00:00 0          [stack]
ffffe000-fffff000 ---p 00000000 00:00 0          [vdso]
[root@ol-7bjv331 ~]#
Comment 1 Arjan van de Ven 2005-03-26 13:56:29 EST
can you check the rawhide rhpl package?
One of these ethtool.so overflows was fixed recently there...
Comment 2 Aaron Bennett 2005-03-28 08:42:30 EST
I'm using rhpl-0.157-1 , that is (as far as I can tell) the rawhide version. 
I'm looking at
download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/ ,
is that the right place?
Comment 3 Harald Hoyer 2005-03-29 06:59:58 EST
could you please install rhpl-debuginfo, which should give us more information?
Comment 4 Aaron Bennett 2005-03-29 08:43:20 EST
rhpl-debuginfo is installed:

[root@ol-7bjv331 ~]# rpm -qa rhpl-debuginfo
rhpl-debuginfo-0.157-1
[root@ol-7bjv331 ~]# modprobe ndiswrapper if_name=eth1
[root@ol-7bjv331 ~]# neat
*** buffer overflow detected ***: /usr/bin/python terminated
======= Backtrace: =========
/lib/tls/libc.so.6(__chk_fail+0x41)[0x2cd9b5]
/usr/lib/python2.4/site-packages/rhpl/ethtool.so[0x50fc1b]
/usr/lib/libpython2.4.so.1.0(PyCFunction_Call+0x140)[0x38bd73]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x53ad)[0x3c4c02]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x49b7)[0x3c420c]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0[0x37a8c8]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x366304]
/usr/lib/libpython2.4.so.1.0[0x36dbbd]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x366304]
/usr/lib/libpython2.4.so.1.0(PyEval_CallObjectWithKeywords+0x7a)[0x3bed30]
/usr/lib/libpython2.4.so.1.0(PyInstance_New+0x64)[0x3696cf]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x366304]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x3ef9)[0x3c374e]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x49b7)[0x3c420c]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCode+0x63)[0x3c5d98]
/usr/lib/libpython2.4.so.1.0[0x3e1e2a]
/usr/lib/libpython2.4.so.1.0(PyRun_SimpleFileExFlags+0x245)[0x3e30a2]
/usr/lib/libpython2.4.so.1.0(PyRun_AnyFileExFlags+0x6e)[0x3e3b39]
/usr/lib/libpython2.4.so.1.0(Py_Main+0xa51)[0x3e99fd]
/usr/bin/python(main+0x2a)[0x804859a]
/lib/tls/libc.so.6(__libc_start_main+0xc6)[0x209db6]
/usr/bin/python[0x80484ed]
======= Memory map: ========
00111000-00122000 r-xp 00000000 fd:00 1357511    /usr/lib/libz.so.1.2.2.2
00122000-00123000 rwxp 00010000 fd:00 1357511    /usr/lib/libz.so.1.2.2.2
00123000-00125000 r-xp 00000000 fd:00 1476257    /usr/lib/python2.4/lib-dynload/
mathmodule.so
00125000-00126000 rwxp 00002000 fd:00 1476257    /usr/lib/python2.4/lib-dynload/
mathmodule.so
00126000-00129000 r-xp 00000000 fd:00 1476270    /usr/lib/python2.4/lib-dynload/
selectmodule.so
00129000-0012a000 rwxp 00002000 fd:00 1476270    /usr/lib/python2.4/lib-dynload/
selectmodule.so
0012a000-001a3000 r-xp 00000000 fd:00 1351731    /usr/lib/libglib-2.0.so.0.600.3
001a3000-001a8000 rwxp 00079000 fd:00 1351731    /usr/lib/libglib-2.0.so.0.600.3
001a8000-001aa000 r-xp 00000000 fd:00 1357508    /usr/X11R6/lib/libXrandr.so.2.0
001aa000-001ab000 rwxp 00002000 fd:00 1357508    /usr/X11R6/lib/libXrandr.so.2.0
001ab000-001bc000 r-xp 00000000 fd:00 1357515    /usr/X11R6/lib/libXft.so.2.1.2
001bc000-001bd000 rwxp 00010000 fd:00 1357515    /usr/X11R6/lib/libXft.so.2.1.2
001bd000-001c5000 r-xp 00000000 fd:00 1357517    /usr/X11R6/lib/libXcursor.so.1. 0.2
001c5000-001c6000 rwxp 00007000 fd:00 1357517    /usr/X11R6/lib/libXcursor.so.1. 0.2
001c6000-001cd000 r-xp 00000000 fd:00 1357507    /usr/X11R6/lib/libXrender.so.1. 2.2
001cd000-001ce000 rwxp 00006000 fd:00 1357507    /usr/X11R6/lib/libXrender.so.1. 2.2
001ce000-001d4000 r-xp 00000000 fd:00 1573234    /usr/lib/python2.4/site-package
s/gtk-2.0/atk.so
001d4000-001d6000 rwxp 00005000 fd:00 1573234    /usr/lib/python2.4/site-package
s/gtk-2.0/atk.so
001d8000-001f1000 r-xp 00000000 fd:00 4587554    /lib/ld-2.3.4.so
001f1000-001f2000 r-xp 00019000 fd:00 4587554    /lib/ld-2.3.4.so
001f2000-001f3000 rwxp 0001a000 fd:00 4587554    /lib/ld-2.3.4.so
001f5000-00312000 r-xp 00000000 fd:00 4587567    /lib/tls/libc-2.3.4.so
00312000-00314000 r-xp 0011d000 fd:00 4587567    /lib/tls/libc-2.3.4.so
00314000-00316000 rwxp 0011f000 fd:00 4587567    /lib/tls/libc-2.3.4.so
00316000-00318000 rwxp 00316000 00:00 0
0031a000-0033a000 r-xp 00000000 fd:00 4587592    /lib/tls/libm-2.3.4.so
0033a000-0033b000 r-xp 0001f000 fd:00 4587592    /lib/tls/libm-2.3.4.so
0033b000-0033c000 rwxp 00020000 fd:00 4587592    /lib/tls/libm-2.3.4.so
0033e000-00340000 r-xp 00000000 fd:00 4587590    /lib/libdl-2.3.4.so
00340000-00341000 r-xp 00001000 fd:00 4587590    /lib/libdl-2.3.4.so
00341000-00342000 rwxp 00002000 fd:00 4587590    /lib/libdl-2.3.4.so
[root@ol-7bjv331 ~]#
Comment 5 Harald Hoyer 2005-03-30 08:57:06 EST
what does:
# /sbin/ethtool -i eth1

print after you loaded the module?
Comment 6 Aaron Bennett 2005-03-30 09:04:49 EST
it prints:

"Cannot get driver information: Operation not supported"

Comment 7 Harald Hoyer 2005-03-30 09:16:05 EST
# python -c 'from rhpl import ethtool;print ethtool.get_businfo("eth0");'
Comment 8 Harald Hoyer 2005-03-30 09:17:49 EST
oops.. eth1 of course!

# python -c 'from rhpl import ethtool;print ethtool.get_businfo("eth1");'
Comment 9 Aaron Bennett 2005-03-30 09:27:07 EST
Traceback (most recent call last):
  File "<string>", line 1, in ?
IOError: [Errno 95] Operation not supported

Comment 10 Harald Hoyer 2005-03-30 10:00:53 EST
could you please attach your /etc/modprobe.conf ??
Comment 11 Harald Hoyer 2005-03-30 10:05:50 EST
and try to run it in gdb:

as root with the correct DISPLAY (sudo will do)

# gdb /usr/bin/python
> run /usr/sbin/neat
Comment 12 Aaron Bennett 2005-03-30 10:13:18 EST
[root@ol-7bjv331 ~]# cat /etc/modprobe.conf
alias eth0 tg3
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
#

If you want the ndiswrapper to load automatically, put:
alias ndiswrapper eth1
options eth1 if_name=eth1 

[root@ol-7bjv331 ~]# gdb /usr/bin/python
GNU gdb Red Hat Linux (6.3.0.0-1.3rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run /usr/sbin/neat
Starting program: /usr/bin/python /usr/sbin/neat
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208568128 (LWP 3604)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Detaching after fork from child process 3607.
Detaching after fork from child process 3613.
*** buffer overflow detected ***: /usr/bin/python terminated
======= Backtrace: =========
/lib/tls/libc.so.6(__chk_fail+0x41)[0x2cd9b5]
/usr/lib/python2.4/site-packages/rhpl/ethtool.so[0x512c1b]
/usr/lib/libpython2.4.so.1.0(PyCFunction_Call+0x140)[0x38bd73]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x53ad)[0x3c4c02]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x49b7)[0x3c420c]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0[0x37a8c8]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x366304]
/usr/lib/libpython2.4.so.1.0[0x36dbbd]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x366304]
/usr/lib/libpython2.4.so.1.0(PyEval_CallObjectWithKeywords+0x7a)[0x3bed30]
/usr/lib/libpython2.4.so.1.0(PyInstance_New+0x64)[0x3696cf]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x366304]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x3ef9)[0x3c374e]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x49b7)[0x3c420c]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCode+0x63)[0x3c5d98]
/usr/lib/libpython2.4.so.1.0[0x3e1e2a]
/usr/lib/libpython2.4.so.1.0(PyRun_SimpleFileExFlags+0x245)[0x3e30a2]
/usr/lib/libpython2.4.so.1.0(PyRun_AnyFileExFlags+0x6e)[0x3e3b39]
/usr/lib/libpython2.4.so.1.0(Py_Main+0xa51)[0x3e99fd]
/usr/bin/python(main+0x2a)[0x804859a]
/lib/tls/libc.so.6(__libc_start_main+0xc6)[0x209db6]
/usr/bin/python[0x80484ed]
======= Memory map: ========
00111000-00122000 r-xp 00000000 fd:00 1357511    /usr/lib/libz.so.1.2.2.2
00122000-00123000 rwxp 00010000 fd:00 1357511    /usr/lib/libz.so.1.2.2.2
00123000-00132000 r-xp 00000000 fd:00 1476243   
/usr/lib/python2.4/lib-dynload/cPickle.so
00132000-00133000 rwxp 0000e000 fd:00 1476243   
/usr/lib/python2.4/lib-dynload/cPickle.so
00133000-00138000 r-xp 00000000 fd:00 1357520    /usr/lib/libpangoxft-1.0.so.0.800.1
00138000-00139000 rwxp 00005000 fd:00 1357520    /usr/lib/libpangoxft-1.0.so.0.800.1
00139000-0013b000 r-xp 00000000 fd:00 1357508    /usr/X11R6/lib/libXrandr.so.2.0
0013b000-0013c000 rwxp 00002000 fd:00 1357508    /usr/X11R6/lib/libXrandr.so.2.0
0013c000-0013e000 r-xp 00000000 fd:00 1357510    /usr/X11R6/lib/libXinerama.so.1.0
0013e000-0013f000 rwxp 00001000 fd:00 1357510    /usr/X11R6/lib/libXinerama.so.1.0
00140000-00144000 r-xp 00000000 fd:00 1476273   
/usr/lib/python2.4/lib-dynload/strop.so
00144000-00146000 rwxp 00003000 fd:00 1476273   
/usr/lib/python2.4/lib-dynload/strop.so
00146000-00178000 r-xp 00000000 fd:00 1357502    /usr/lib/libgobject-2.0.so.0.600.3
00178000-0017c000 rwxp 00031000 fd:00 1357502    /usr/lib/libgobject-2.0.so.0.600.3
0017c000-00190000 r-xp 00000000 fd:00 1357523    /usr/lib/libatk-1.0.so.0.901.0
00190000-00193000 rwxp 00014000 fd:00 1357523    /usr/lib/libatk-1.0.so.0.901.0
00193000-001a6000 r-xp 00000000 fd:00 1357504   
/usr/lib/libgdk_pixbuf-2.0.so.0.600.4
001a6000-001a8000 rwxp 00012000 fd:00 1357504   
/usr/lib/libgdk_pixbuf-2.0.so.0.600.4
001a8000-001b2000 r-xp 00000000 fd:00 1357521    /usr/lib/libpangox-1.0.so.0.800.1
001b2000-001b3000 rwxp 00009000 fd:00 1357521    /usr/lib/libpangox-1.0.so.0.800.1
001b3000-001ba000 r-xp 00000000 fd:00 1357509    /usr/X11R6/lib/libXi.so.6.0
001ba000-001bb000 rwxp 00006000 fd:00 1357509    /usr/X11R6/lib/libXi.so.6.0
001bb000-001be000 r-xp 00000000 fd:00 1357516    /usr/X11R6/lib/libXfixes.so.3.0
001be000-001bf000 rwxp 00003000 fd:00 1357516    /usr/X11R6/lib/libXfixes.so.3.0
001bf000-001c7000 r-xp 00000000 fd:00 1357517    /usr/X11R6/lib/libXcursor.so.1.0.2
001c7000-001c8000 rwxp 00007000 fd:00 1357517    /usr/X11R6/lib/libXcursor.so.1.0.2
001c8000-001cf000 r-xp 00000000 fd:00 1357507    /usr/X11R6/lib/libXrender.so.1.2.2
00
Program received signal SIGABRT, Aborted.
[Switching to Thread -1208568128 (LWP 3604)]
0x001d87e2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
(gdb)
Comment 13 Aaron Bennett 2005-03-30 10:18:56 EST
I just noticed that I don't have python-debuginfo installed.  I'll install that
and run gdb again.

Comment 14 Aaron Bennett 2005-03-30 10:26:17 EST
Installed: python-debuginfo.i386 0:2.4-6
Complete!
[root@ol-7bjv331 ~]# gdb /usr/bin/python
GNU gdb Red Hat Linux (6.3.0.0-1.3rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/tls/libthread_db.so.1".

(gdb) run /usr/sbin/neat
Starting program: /usr/bin/python /usr/sbin/neat
[Thread debugging using libthread_db enabled]
[New Thread -1208613184 (LWP 3696)]
Detaching after fork from child process 3699.
Detaching after fork from child process 3705.
*** buffer overflow detected ***: /usr/bin/python terminated
======= Backtrace: =========
/lib/tls/libc.so.6(__chk_fail+0x41)[0x2cd9b5]
/usr/lib/python2.4/site-packages/rhpl/ethtool.so[0x45dc1b]
/usr/lib/libpython2.4.so.1.0(PyCFunction_Call+0x140)[0x38bd73]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x53ad)[0x3c4c02]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x49b7)[0x3c420c]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x4aff)[0x3c4354]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0[0x37a8c8]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x366304]
/usr/lib/libpython2.4.so.1.0[0x36dbbd]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x366304]
/usr/lib/libpython2.4.so.1.0(PyEval_CallObjectWithKeywords+0x7a)[0x3bed30]
/usr/lib/libpython2.4.so.1.0(PyInstance_New+0x64)[0x3696cf]
/usr/lib/libpython2.4.so.1.0(PyObject_Call+0x33)[0x366304]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x3ef9)[0x3c374e]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalFrame+0x49b7)[0x3c420c]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCodeEx+0x5fa)[0x3c5a67]
/usr/lib/libpython2.4.so.1.0(PyEval_EvalCode+0x63)[0x3c5d98]
/usr/lib/libpython2.4.so.1.0[0x3e1e2a]
/usr/lib/libpython2.4.so.1.0(PyRun_SimpleFileExFlags+0x245)[0x3e30a2]
/usr/lib/libpython2.4.so.1.0(PyRun_AnyFileExFlags+0x6e)[0x3e3b39]
/usr/lib/libpython2.4.so.1.0(Py_Main+0xa51)[0x3e99fd]
/usr/bin/python(main+0x2a)[0x804859a]
/lib/tls/libc.so.6(__libc_start_main+0xc6)[0x209db6]
/usr/bin/python[0x80484ed]
======= Memory map: ========
00111000-00122000 r-xp 00000000 fd:00 1357511    /usr/lib/libz.so.1.2.2.2
00122000-00123000 rwxp 00010000 fd:00 1357511    /usr/lib/libz.so.1.2.2.2
00123000-0019c000 r-xp 00000000 fd:00 1351731    /usr/lib/libglib-2.0.so.0.600.3
0019c000-001a1000 rwxp 00079000 fd:00 1351731    /usr/lib/libglib-2.0.so.0.600.3
001a1000-001d1000 r-xp 00000000 fd:00 1357518    /usr/lib/libpango-1.0.so.0.800.1
001d1000-001d7000 rwxp 00030000 fd:00 1357518    /usr/lib/libpango-1.0.so.0.800.1
001d8000-001f1000 r-xp 00000000 fd:00 4587554    /lib/ld-2.3.4.so
001f1000-001f2000 r-xp 00019000 fd:00 4587554    /lib/ld-2.3.4.so
001f2000-001f3000 rwxp 0001a000 fd:00 4587554    /lib/ld-2.3.4.so
001f5000-00312000 r-xp 00000000 fd:00 4587567    /lib/tls/libc-2.3.4.so
00312000-00314000 r-xp 0011d000 fd:00 4587567    /lib/tls/libc-2.3.4.so
00314000-00316000 rwxp 0011f000 fd:00 4587567    /lib/tls/libc-2.3.4.so
00316000-00318000 rwxp 00316000 00:00 0
0031a000-0033a000 r-xp 00000000 fd:00 4587592    /lib/tls/libm-2.3.4.so
0033a000-0033b000 r-xp 0001f000 fd:00 4587592    /lib/tls/libm-2.3.4.so
0033b000-0033c000 rwxp 00020000 fd:00 4587592    /lib/tls/libm-2.3.4.so
0033e000-00340000 r-xp 00000000 fd:00 4587590    /lib/libdl-2.3.4.so
00340000-00341000 r-xp 00001000 fd:00 4587590    /lib/libdl-2.3.4.so
00341000-00342000 rwxp 00002000 fd:00 4587590    /lib/libdl-2.3.4.so
00344000-00413000 r-xp 00000000 fd:00 1351962    /usr/lib/libpython2.4.so.1.0
00413000-0043b000 rwxp 000cf000 fd:00 1351962    /usr/lib/libpython2.4.so.1.0
0043b000-0043e000 rwxp 0043b000 00:00 0
0043e000-00445000 r-xp 00000000 fd:00 1357507    /usr/X11R6/lib/libXrender.so.1.2.2
00445000-00446000 rwxp 00006000 fd:00 1357507    /usr/X11R6/lib/libXrender.so.1.2.2
00446000-00448000 r-xp 00000000 fd:00 1540581   
/usr/X11R6/lib/X11/locale/lib/common/xlcDef.so.2
00448000-00449000 rwxp 00001000 fd:00 1540581   
/usr/X11R6/lib/X11/locale/lib/common/xlcDef.so.2
00449000-0044f000 r-xp 00000000 fd:00 1573234   
/usr/lib/python2.4/site-packages/gtk-2.0/atk.so
0044f000-00451000 rwxp 00005000 fd:00 1573234   
/usr/lib/python2.4/site-packages/gtk-2.0/atk.so
00451000-00458000 r-xp 00000000 fd:00 1356351    /usr/lib/libpopt.so.0.0.0
00458000-00459000 rwxp 00006000 fd:00 1356351    /usr/lib/libpopt.so.0.0.0
00459000-0045b000 r-xp 00000000 fd:00 4587620    /lib/libcom_err.so.2.1
0045b000-0045c000 rwxp 00001000 fd:00 4587620    /lib/libcom_err.so.2.1
0045c000-00462000 r-xp 00000000 fd:00 1476870   
/usr/lib/python2.4/site-packages/rhpl/ethtool.so
00462000-00463000 rwxp 00005000 fd:00 1476870   
/usr/lib/python2.4/site-packages/rhpl/ethtool.so
00463000-00486000 r-xp 00000000 fd:00 1357514    /usr/lib/libfontconfig.so.1.0.4
00486000-00489000 rwxp 00022000 fd:00 1357514    /usr/lib/libfontconfig.so.1.0.4
00489000-0048a000 rwxp 00489000 00:00 0
0048a000-00499000 r-xp 00000000 fd:00 4587615    /lib/libresolv-2.3.4.so
00499000-0049a000 r-xp 0000e000 fd:00 4587615    /lib/libresolv-2.3.4.so
0049a000-0049b000 rwxp 0000f000 fd:00 4587615    /lib/libresolv-2.3.4.so
0049b000-0049d000 rwxp 0049b000 00:00 0
0049f000-004ab000 r-xp 00000000 fd:00 1357506    /usr/X11R6/lib/libXext.so.6.4
004ab000-004ac000 rwxp 0000c000 fd:00 1357506    /usr/X11R6/lib/libXext.so.6.4
004ae000-004e0000 r-xp 00000000 fd:00 1357502    /usr/lib/libgobject-2.0.so.0.600.3
004e0000-004e4000 rwxp 00031000 fd:00 1357502    /usr/lib/libgobject-2.0.so.0.600.3
004e6000-004e8000 r-xp 00000000 fd:00 1353624    /usr/lib/libgmodule-2.0.so.0.600.3
004e8000-004e9000 rwxp 00002000 fd:00 1353624    /usr/lib/libgmodule-2.0.so.0.600.3
004e9000-0050c000 r-xp 00000000 fd:00 1357519    /usr/lib/libpangoft2-1.0.so.0.800.1
0050c000-0050e000 rwxp 00022000 fd:00 1357519    /usr/lib/libpangoft2-1.0.so.0.800.1
0050e000-0052b000 r-xp 00000000 fd:00 1357513
Program received signal SIGABRT, Aborted.
[Switching to Thread -1208613184 (LWP 3696)]
0x001d87e2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
(gdb)

Comment 15 Harald Hoyer 2005-03-30 10:33:00 EST
could you install bug-buddy, cause in bug #150449 the backtrace has line
numbers, and run s-c-network normally?

Thank you!
Comment 16 Aaron Bennett 2005-03-30 10:46:50 EST
Here is the debug info from bug buddy:

Backtrace was generated from '/usr/sbin/system-config-network'

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208133952 (LWP 3591)]
0x001d87e2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#0  0x001d87e2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00580e83 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x05f8adf0 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x001d87e2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#5  0x0021ca7c in raise () from /lib/tls/libc.so.6
#6  0x0021e1c8 in abort () from /lib/tls/libc.so.6
#7  0x00251aca in __libc_message () from /lib/tls/libc.so.6
#8  0x002cd9b5 in __chk_fail () from /lib/tls/libc.so.6
#9  0x0058ac1b in get_module (self=0x0, args=0x0) at ethtool.c:358
#10 0x0038bd73 in PyCFunction_Call (func=0xb7f27f0c, arg=0xb7a4f8ec, kw=0x0)
    at Objects/methodobject.c:108
#11 0x003c4c02 in PyEval_EvalFrame (f=0x8a4b7bc) at Python/ceval.c:3547
#12 0x003c4354 in PyEval_EvalFrame (f=0x86c8234) at Python/ceval.c:3629
#13 0x003c4354 in PyEval_EvalFrame (f=0x86e19cc) at Python/ceval.c:3629
#14 0x003c5a67 in PyEval_EvalCodeEx (co=0xb7dbdd20, globals=0xb7dc002c, 
    locals=0x0, args=0x86bee3c, argcount=0, kws=0x86bee3c, kwcount=0, 
    defs=0x0, defcount=1, closure=0x0) at Python/ceval.c:2730
#15 0x003c420c in PyEval_EvalFrame (f=0x86bece4) at Python/ceval.c:3640
#16 0x003c4354 in PyEval_EvalFrame (f=0x8697904) at Python/ceval.c:3629
#17 0x003c4354 in PyEval_EvalFrame (f=0x86853a4) at Python/ceval.c:3629
#18 0x003c5a67 in PyEval_EvalCodeEx (co=0xb7cb97a0, globals=0xb7cb5824, 
    locals=0x0, args=0xb7d3a258, argcount=1, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2730
#19 0x0037a8c8 in function_call (func=0xb7cbf80c, arg=0xb7d3a24c, kw=0x0)
    at Objects/funcobject.c:550
#20 0x00366304 in PyObject_Call (func=0xb7cbf80c, arg=0x0, kw=0x0)
    at Objects/abstract.c:1746
#21 0x0036dbbd in instancemethod_call (func=0xb7cbf80c, arg=0xb7d3a24c, 
    kw=0x0) at Objects/classobject.c:2431
#22 0x00366304 in PyObject_Call (func=0xb7daa194, arg=0x0, kw=0x0)
    at Objects/abstract.c:1746
#23 0x003bed30 in PyEval_CallObjectWithKeywords (func=0x0, arg=0xb7f9502c, 
    kw=0x0) at Python/ceval.c:3419
#24 0x003696cf in PyInstance_New (klass=0x0, arg=0xb7f9502c, kw=0x0)
    at Objects/classobject.c:575
#25 0x00366304 in PyObject_Call (func=0xb7cbca4c, arg=0x0, kw=0x0)
    at Objects/abstract.c:1746
#26 0x003c374e in PyEval_EvalFrame (f=0x883295c) at Python/ceval.c:3755
#27 0x003c5a67 in PyEval_EvalCodeEx (co=0xb7f59da0, globals=0xb7fac824, 
    locals=0x0, args=0x869ba74, argcount=1, kws=0x869ba78, kwcount=0, 
    defs=0x0, defcount=1, closure=0x0) at Python/ceval.c:2730
#28 0x003c420c in PyEval_EvalFrame (f=0x869b924) at Python/ceval.c:3640
#29 0x003c5a67 in PyEval_EvalCodeEx (co=0xb7f59e20, globals=0xb7fac824, 
    locals=0x0, args=0x0, argcount=0, kws=0x0, kwcount=0, defs=0x0, 
    defcount=0, closure=0x0) at Python/ceval.c:2730
#30 0x003c5d98 in PyEval_EvalCode (co=0x0, globals=0x0, locals=0x0)
    at Python/ceval.c:484
#31 0x003e1e2a in run_node (n=) at Python/pythonrun.c:1264
#32 0x003e30a2 in PyRun_SimpleFileExFlags (fp=) at Python/pythonrun.c:859
#33 0x003e3b39 in PyRun_AnyFileExFlags (fp=0x8667008, 
    filename=0xbf9e3edb "/usr/sbin/system-config-network-gui", closeit=1, 
    flags=0xbf9e3454) at Python/pythonrun.c:663
#34 0x003e99fd in Py_Main (argc=1, argv=0xbf9e3524) at Modules/main.c:484
#35 0x0804859a in main (argc=0, argv=0x0) at Modules/python.c:23

Thread 1 (Thread -1208133952 (LWP 3591)):
#0  0x001d87e2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x00580e83 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x05f8adf0 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x001d87e2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#5  0x0021ca7c in raise () from /lib/tls/libc.so.6
No symbol table info available.
#6  0x0021e1c8 in abort () from /lib/tls/libc.so.6
No symbol table info available.
#7  0x00251aca in __libc_message () from /lib/tls/libc.so.6
No symbol table info available.
#8  0x002cd9b5 in __chk_fail () from /lib/tls/libc.so.6
No symbol table info available.
#9  0x0058ac1b in get_module (self=0x0, args=0x0) at ethtool.c:358
	eno = 

Is that what you were looking for?  

Thanks for your time, btw.  I appreciate it!
Comment 17 Harald Hoyer 2005-03-30 11:17:00 EST
ok, bug-buddy says:
#9  0x0058ac1b in get_module (self=0x0, args=0x0) at ethtool.c:358

which we may test with:
# python -c 'from rhpl import ethtool;print ethtool.get_module("eth1");'

inspecting the code, I saw one logical bug.
Please try the rhpl rpms from:
ftp://people.redhat.com/harald/rhpl/
Comment 18 Aaron Bennett 2005-03-30 11:48:32 EST
Those rpms work.  s-c-n runs without crashing!
Comment 19 Harald Hoyer 2005-03-31 03:23:22 EST
cool :)

Note You need to log in before you can comment on or make changes to this bug.